---
- name: Create html directory as expected for a fresh uberspace
  hosts: all
  vars_files:
    - "../../defaults/main.yml"

  tasks:
    - name: Create html directory as expected for a fresh uberspace
      file:
        path: '{{ web_link_html_path }}'
        state: directory
        owner: '{{ ansible_facts.user_id }}'
        group: '{{ ansible_facts.user_id }}'
        mode: u=rwx,g=rx,o=rx
      become: yes
